> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-solidity-api/voting-and-super-representatives/listwitnesses.md).

# ListWitnesses

List all Super Representatives (Confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `None`

## **Returns**

| Field          | Type        | Description                                                                                                       |
| -------------- | ----------- | ----------------------------------------------------------------------------------------------------------------- |
| witnesses      | WitnessList | List of all witnesses                                                                                             |
| address        | string      | Witness address                                                                                                   |
| voteCount      | int64       | Voting count                                                                                                      |
| url            | string      | Homepage url                                                                                                      |
| totalProduced  | int64       | Block produced number                                                                                             |
| totalMissed    | int64       | Missed block number                                                                                               |
| latestBlockNum | int64       | Latest block number                                                                                               |
| latestSlotNum  | int64       | Latest slot number                                                                                                |
| isJobs         | bool        | If the witness is the top 27 in the list, this parameter indicates if this witness is eligible to produce a block |

```json
// Result
{
  "witnesses": [
    {
      "address": "4100776428620856ae1d71562812b734e356b68551",
      "voteCount": 300,
      "url": "http://www.test.com"
    },
    {
      "address": "41008150f7321ed1839a41ca0253ec5ea5f69ceef3",
      "voteCount": 11164,
      "url": "https://googlethe.com"
    },
    {
      "address": "410102255809ed8d2139c533b8ebfda9131a9bbbc8",
      "voteCount": 13050020897,
      "url": "http://sr-21.com",
      "totalProduced": 1584829,
      "totalMissed": 46,
      "latestBlockNum": 58516745,
      "latestSlotNum": 586503363,
      "isJobs": true
    },
    {
      "address": "410257b56399ef8d835b42f68e6476f7fe8ca2d283",
      "voteCount": 13050047732,
      "url": "http://sr-24.com",
      "totalProduced": 1651950,
      "totalMissed": 49,
      "latestBlockNum": 58516760,
      "latestSlotNum": 586503378,
      "isJobs": true
    },
    ...
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/listwitnesses \
    -X GET
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/voting-and-super-representatives/listwitnesses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
